# class SIGAdaptClient | Client side SIGTRAN User Adaptation component. More...
Full name | `TelEngine::SIGAdaptClient`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SIGAdaptation [public ]
Inherited by | ISDNIUAClient, SS7M2UAClient
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum AspState { AspDown = 0, AspUpRq, AspUp, AspActRq, AspActive }

#### Public Methods

- virtual void notifyLayer (SignallingInterface::Notification status)

#### Protected Methods

- explicit SIGAdaptClient (const char* name = 0, const NamedList* params = 0, u_int32_t payload = 0, u_int16_t port = 0)
- virtual bool processMgmtMSG (unsigned char msgType, const DataBlock& msg, int streamId)
- virtual bool processAspsmMSG (unsigned char msgType, const DataBlock& msg, int streamId)
- virtual bool processAsptmMSG (unsigned char msgType, const DataBlock& msg, int streamId)
- virtual void activeChange (bool active)
- inline bool aspUp () const
- inline bool aspActive () const
- bool activate ()
- void setState (AspState state, bool notify = true)
- inline ObjList& users ()

#### Protected Members

- int32_t m_aspId
- TrafficMode m_traffic

## Detailed Description

Generic client side (ASP) Signalling Transport User Adaptation component

enum AspState { AspDown = 0, AspUpRq, AspUp, AspActRq, AspActive } | ### AspState

ASP Client states

void notifyLayer (SignallingInterface::Notification status) | ### notifyLayer

[virtual]

Method called when the transport status has been changed

Parameters:

status | Status of the transport causing the notification

Reimplemented from SIGAdaptation.

explicit SIGAdaptClient (const char* name = 0, const NamedList* params = 0, u_int32_t payload = 0, u_int16_t port = 0) | ### SIGAdaptClient

[protected]

Constructs an uninitialized User Adaptation client component

Parameters:

name | Name of this component
params | Optional pointer to creation parameters
payload | SCTP payload code, ignored for other transports
port | SCTP/TCP/UDP default port used for transport

bool processMgmtMSG (unsigned char msgType, const DataBlock& msg, int streamId) | ### processMgmtMSG

[protected virtual]

Process Management messages as ASP

Parameters:

msgType | Type of the message, depends on the class
msg | Message data, may be empty
streamId | Identifier of the stream the message was received on

Returns: True if the message was handled

Reimplemented from SIGAdaptation.

bool processAspsmMSG (unsigned char msgType, const DataBlock& msg, int streamId) | ### processAspsmMSG

[protected virtual]

Process ASP State Maintenance messages as ASP

Parameters:

msgType | Type of the message, depends on the class
msg | Message data, may be empty
streamId | Identifier of the stream the message was received on

Returns: True if the message was handled

Reimplemented from SIGAdaptation.

bool processAsptmMSG (unsigned char msgType, const DataBlock& msg, int streamId) | ### processAsptmMSG

[protected virtual]

Process ASP Traffic Maintenance messages as ASP

Parameters:

msgType | Type of the message, depends on the class
msg | Message data, may be empty
streamId | Identifier of the stream the message was received on

Returns: True if the message was handled

Reimplemented from SIGAdaptation.

void activeChange (bool active) | ### activeChange

[protected virtual]

Traffic activity state change notification

Parameters:

active | True if the ASP is active and traffic is allowed

inline bool aspUp () | ### aspUp

[protected const]

Check if the ASP is Up

Returns: True if the ASPSM is in UP state

inline bool aspActive () | ### aspActive

[protected const]

Check if the ASP is Active

Returns: True if the ASPTM is in ACTIVE state

bool activate () | ### activate

[protected]

Request activation of the ASP

Returns: True if ASP activation started, false on failure

void setState (AspState state, bool notify = true) | ### setState

[protected]

Set the state of the ASP, notify user components of changes

Parameters:

state | New state of the ASP
notify | True to notify user layers, false if the changes are internal

inline ObjList& users () | ### users

[protected]

Get access to the list of Adaptation Users of this component

Returns: Reference to the list of Adaptation Users

int32_t m_aspId | ### m_aspId

[protected]

TrafficMode m_traffic | ### m_traffic

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.